INTERFACE
SUBROUTINE PPVVEL(KPROMA,KSTART,KPROF,KFLEV,KLEVP,KLOLEV,KLEVB,&
 & PRPRES,LDBELO,LDBLOW,&
 & PRXP,PRXPD,PDELP,PRDELP,PLNPR,PALPH,PRTGR,&
 & PUF,PVF,PDIVF,PSPL,PSPM,PEVT0,PVVPP,LDRUBC,PRPRESF,LDETADOT) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NPPM
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KLEVP
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KLOLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KLEVB(KPROMA,KLEVP,NPPM)
REAL(KIND=JPRB) ,INTENT(IN) :: PRPRES(KPROMA,KLEVP)
LOGICAL ,INTENT(IN) :: LDBELO(KPROMA,KLEVP)
LOGICAL ,INTENT(IN) :: LDBLOW(KLEVP)
REAL(KIND=JPRB) ,INTENT(IN) :: PRXP(KPROMA,0:KFLEV,NPPM)
REAL(KIND=JPRB) ,INTENT(IN) :: PRXPD(KPROMA,0:KFLEV,NPPM)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELP(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDELP(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLNPR(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PALPH(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRTGR(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PUF(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVF(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIVF(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPL(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPM(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PEVT0(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVVPP(KPROMA,KLEVP)
LOGICAL ,INTENT(IN) :: LDRUBC
REAL(KIND=JPRB) ,INTENT(IN) :: PRPRESF(KPROMA,KFLEV)
LOGICAL ,INTENT(IN),OPTIONAL :: LDETADOT
END SUBROUTINE PPVVEL
END INTERFACE
